Package javassist.bytecode

# Class ClassFileWriter.FieldWriter

java.lang.Object
javassist.bytecode.ClassFileWriter.FieldWriter

Enclosing class:
  `ClassFileWriter`

public static final class ClassFileWriter.FieldWriter extends Object
Field.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int accessFlags, int name, int descriptor, ClassFileWriter.AttributeWriter aw)`
Adds a new field.
`void`
`add(int accessFlags, String name, String descriptor, ClassFileWriter.AttributeWriter aw)`
Adds a new field.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### add

public void add(int accessFlags, String name, String descriptor, ClassFileWriter.AttributeWriter aw)
Adds a new field.

Parameters:
  `accessFlags` - access flags.
  `name` - the field name.
  `descriptor` - the field type.
  `aw` - the attributes of the field. may be null.
See Also:
  - `AccessFlag`

### add

public void add(int accessFlags, int name, int descriptor, ClassFileWriter.AttributeWriter aw)
Adds a new field.

Parameters:
  `accessFlags` - access flags.
  `name` - the field name. an index indicating its `CONSTANT_Utf8_info`.
  `descriptor` - the field type. an index indicating its `CONSTANT_Utf8_info`.
  `aw` - the attributes of the field. may be null.
See Also:
  - `AccessFlag`